[Solved] Many occurrences of error message '(call stack is not deep enough)'

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
rolfKuck
Posts: 3
Joined: Thu Mar 01, 2018 3:42 pm

Re: [Solved] Many occurrences of error message '(call stack is not deep enough)'

Post by rolfKuck »

same for me:
0.6.5


OS: openSUSE Tumbleweed (KDE//usr/share/xsessions/plasma5)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.Unknown
Build type: Release
Python version: 3.8.8
Qt version: 5.15.2
Coin version: 3.1.3
OCC version: 7.5.1
Locale: English/United Kingdom (en_GB)
guiv
Posts: 6
Joined: Mon Apr 26, 2021 7:48 pm

Re: Many occurrences of error message '(call stack is not deep enough)'

Post by guiv »

According to suggestions, I removed the [solved] status from post, since problem is still there for official version in opensuse tumbleweed repos.

I understand FreeCAD developers (by the way: thanks a lot!) that managing many different versions of dependencies is a real challenge. However, even if an AppImage is available which does not show the issue it is very probable it will come back one day, since the problem occurs with a more recent version of Qt.
So it remains probably of interest to investigate. Please tell me if I can be of any help
NuitsDeChine
Posts: 5
Joined: Mon May 10, 2021 6:56 pm

Re: Many occurrences of error message '(call stack is not deep enough)'

Post by NuitsDeChine »

Same problem here, on Gentoo (rolling distro too).

OS: Gentoo/Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.2-r1
Build type: Gentoo
Python version: 3.9.5
Qt version: 5.15.2
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United Kingdom (en_GB)

Since it has been asked from other posters, pivy version is 0.6.6
NuitsDeChine
Posts: 5
Joined: Mon May 10, 2021 6:56 pm

Re: Many occurrences of error message '(call stack is not deep enough)'

Post by NuitsDeChine »

Problem seems to be gone with latest release.

OS: Gentoo/Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.2-r3
Build type: Gentoo
Python version: 3.9.5
Qt version: 5.15.2
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United Kingdom (en_GB)
guiv
Posts: 6
Joined: Mon Apr 26, 2021 7:48 pm

Re: Many occurrences of error message '(call stack is not deep enough)'

Post by guiv »

confirmed: solved also on openSUSE Tumbleweed

OS: openSUSE Tumbleweed (KDE//usr/share/xsessions/plasma5)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.Unknown
Build type: Release
Python version: 3.8.10
Qt version: 5.15.2
Coin version: 3.1.3
OCC version: 7.5.1
Locale: French/France (fr_FR)
Post Reply